Name:           perl-Net-GitHub
Summary:        Perl interface for github.com
Version:        0.44
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/F/FA/FAYLAND/Net-GitHub-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Net-GitHub
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:      noarch
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(JSON::Any)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Test::MockModule)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(WWW::Mechanize::GZip)

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
GitHub (http://github.com) is a popular git host; this package is a Perl API
for working with GitHub users and repositories.

%prep
%setup -q -n Net-GitHub-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 13 2012 Petr Šabata <contyk@redhat.com> - 0.44-1
- 0.44 bump
- Github is removing support of v1 and v2 API on May 1, 2012
  This version makes v3 the default

* Fri Mar 23 2012 Petr Šabata <contyk@redhat.com> - 0.42-1
- 0.42 bump
- Remove trailing newlines

* Thu Mar 22 2012 Petr Šabata <contyk@redhat.com> - 0.41-1
- 0.41 bump, switching to v3 API
- Remove command macros
- Upstream no longer ships examples

* Tue Jan 17 2012 Petr Šabata <contyk@redhat.com> - 0.30-1
- 0.30 bump
- Spec cleanup

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.28-3
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.28-2
- Perl mass rebuild

* Fri Mar 18 2011 Iain Arnell <iarnell@gmail.com> 0.28-1
- update to latest upstream version
- add examples as doc

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.23-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sat Dec 18 2010 Iain Arnell <iarnell@gmail.com> 0.23-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Fri Jun  4 2010 Petr Pisar <ppisar@redhat.com> - 0.22-1
- 0.22 bump
- Update Source0 URL

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.20-2
- Mass rebuild with perl-5.12.0

* Sun Mar 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update by Fedora::App::MaintainerTools 0.006
- PERL_INSTALL_ROOT => DESTDIR
- updating to latest GA CPAN version (0.20)
- dropped old BR on perl(Test::Pod)
- added a new req on perl(Any::Moose) (version 0)
- added a new req on perl(Crypt::SSLeay) (version 0)
- added a new req on perl(HTML::TreeBuilder) (version 0)
- added a new req on perl(JSON::Any) (version 0)
- added a new req on perl(URI::Escape) (version 0)
- added a new req on perl(WWW::Mechanize::GZip) (version 0)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.19-3
- rebuild against perl 5.10.1

* Tue Oct 13 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- add br on CPAN (M::I)

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- update filtering
- submission

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
